IPSW-APPSTORE-PROVISION-GEN(1)

NAME
ipsw-appstore-provision-gen - Download/Create priv key, certificate & provisioning profile for Xcode signing

SYNOPSIS
ipsw appstore provision gen [flags]

DESCRIPTION
Downloads or creates the necessary certificate and provisioning profile from App Store Connect for a given bundle ID, based on the specified type (development, adhoc, distribution). It then optionally installs them locally for Xcode code signing.

OPTIONS
-c, --country="US"
    Country code for certificate subject (e.g., US, GB)

--csr[=false]
    Create a NEW Certificate Signing Request

-e, --email=""
    Email address to use for the certificate

-h, --help[=false]
    help for gen

--install[=false]
    Install the certificate and profile

-o, --output=""
    Folder to save files to

-t, --type="development"
    Type of profile to manage (development, adhoc, distribution)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-i, --iss=""
    Issuer ID

-j, --jwt=""
    JWT api key

-k, --kid=""
    Key ID

--no-color[=false]
    disable colorize output

-p, --p8=""
    Path to App Store Connect API Key (.p8)

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-appstore-provision(1)

HISTORY
11-Jul-2025 Auto generated by spf13/cobra